﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DemoTabInWindow.Data;
using DemoTabInWindow.Models;
using Kendo.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;

namespace DemoTabInWindow.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult GetStatusReports([DataSourceRequest] DataSourceRequest request)
        {
            var statusReports = SampleData.GetStatusReports();
            return Json(statusReports.ToDataSourceResult(request));
        }

        public ActionResult StatusReportDetails(int id)
        {
            var report = SampleData.GetStatusReports().FirstOrDefault(x => x.Id == id);
            return PartialView("_Details", report);
        }
    }
}